"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var tslib_1 = require("tslib");
var path_1 = tslib_1.__importDefault(require("path"));
var fs_1 = require("../util/fs");
var defaultConfig = function (root) { return ({
    ASSETS_PATH_PREFIX: 'static/',
    BASE: root,
    CLIENT_ENTRY: path_1.default.resolve(root, 'client', 'index.tsx'),
    CLIENT_POLYFILLS: path_1.default.resolve(root, 'client', 'polyfills.ts'),
    DEV_SERVER_PORT: 3000,
    HAS_SERVER: true,
    OUTPUT: path_1.default.resolve(root, 'dist'),
    PUBLIC_PATH: '/',
    SERVER_BUNDLE_ALL: false,
    SERVER_ENTRY: path_1.default.resolve(root, 'server', 'start.ts'),
    SERVER_INCLUDE_IN_BUNDLE: ['project-watchtower'],
    SERVER_PUBLIC_DIR: path_1.default.resolve(root, 'public'),
    STATIC_RESOURCE_NAMES: false,
    STATS_ENV: {},
    STATS_PAGES: { home: '/' },
}); };
var customConfig = function (log, root) {
    return fs_1.getCustomConfigFile(log, root, 'config/config', {});
};
exports.getConfig = function (log, root) { return (tslib_1.__assign(tslib_1.__assign({}, defaultConfig(root)), customConfig(log, root))); };
exports.watchtowerConfigFilename = 'watchtower.config';
exports.getRuntimeConfigFromBuildConfig = function (buildConfig) { return ({
    ASSETS_PATH: path_1.default.join(buildConfig.OUTPUT, buildConfig.ASSETS_PATH_PREFIX),
    ASSETS_PATH_PREFIX: buildConfig.ASSETS_PATH_PREFIX,
    BASE: buildConfig.OUTPUT,
    PUBLIC_PATH: buildConfig.PUBLIC_PATH,
    SERVER_PUBLIC_DIR: buildConfig.SERVER_PUBLIC_DIR,
}); };
exports.getRuntimeConfig = function (log) {
    var projectDir = process.env.PROJECT_DIR;
    if (projectDir) {
        log.trace({ projectDir: projectDir }, 'Project dir specified, using build config to build runtime config');
        var config = exports.getConfig(log, projectDir);
        return exports.getRuntimeConfigFromBuildConfig(config);
    }
    return JSON.parse(fs_1.readFileSync(log, exports.watchtowerConfigFilename));
};
//# sourceMappingURL=config.js.map