import { Logger } from 'typescript-log';
import { PromiseTracker } from '../../../universal';
/**
 * Utility which will recursively render the React application, triggering any
 * additional data loader recursively until no more data loads are triggered
 * or it times out, or it hits the max depth
 */
export declare function recursiveTaskResolver<T>(log: Logger, promiseTracker: PromiseTracker, render: () => T, location: string, initialRender: T, numberAttempts: number, timeoutMs: number): Promise<T>;
