import React from 'react';
import { HelmetData } from 'react-helmet';
import { Logger } from 'typescript-log';
import { PromiseTracker } from './full-render';
import { StaticRouterContext } from './router-context-handler';
export declare type CreateAppElement = (promiseTracker: PromiseTracker) => React.ReactElement<any>;
export interface RenderPassResult<RenderResult> {
    head: HelmetData;
    context: StaticRouterContext;
    renderResult: RenderResult;
}
export declare function renderApp<RenderResult>(currentLocation: string, renderFn: (element: React.ReactElement<any>) => RenderResult, log: Logger, appRender: CreateAppElement, promiseTracker: PromiseTracker): RenderPassResult<RenderResult>;
