import * as Helm from 'react-helmet';
export declare enum ServerRenderResultType {
    Success = 0,
    Failure = 1,
    Redirect = 2,
    PageNotFound = 3
}
export interface ServerRenderResultBase {
    type: ServerRenderResultType;
    elapsed: string;
    head: Helm.HelmetData | undefined;
}
export interface StatusServerRenderResult<SSRRequestProps extends object, RenderResult> extends ServerRenderResultBase {
    type: ServerRenderResultType.Success;
    renderedContent: RenderResult;
    ssrRequestProps: SSRRequestProps;
    /** The final render location */
    renderLocation: string;
    statusCode: number;
}
export interface FailedRenderResult extends ServerRenderResultBase {
    type: ServerRenderResultType.Failure;
    errorMessage: string;
}
export interface RedirectServerRenderResult extends ServerRenderResultBase {
    type: ServerRenderResultType.Redirect;
    redirectTo: string;
    isPermanent: boolean;
}
export declare type ServerRenderResult<T extends object, RenderResult> = StatusServerRenderResult<T, RenderResult> | FailedRenderResult | RedirectServerRenderResult;
