import { __rest } from "tslib";
import { createLocation } from 'history';
import React from 'react';
import { BrowserRouter, Route } from 'react-router-dom';
import { getTransferredState } from '../../client/get-transferred-state';
const locationOverrideFromSSR = getTransferredState('watchtower_hydrate_location');
/**
 * A wrapper around React routers Browser router
 * It takes care of hydrating error routes if they happened on the server.
 * Other than initial hydration it does nothing additional
 */
export class WatchtowerBrowserRouter extends React.Component {
    render() {
        const _a = this.props, { children } = _a, props = __rest(_a, ["children"]);
        return (React.createElement(BrowserRouter, Object.assign({}, props),
            React.createElement(Route, { render: (routeProps) => {
                    if (!this.initialLocation) {
                        this.initialLocation = routeProps.location;
                    }
                    // While still on the initial route (which was hydrated), override the url
                    // if an override came from the server
                    const locationOverride = this.initialLocation === routeProps.location && locationOverrideFromSSR
                        ? createLocation(locationOverrideFromSSR)
                        : undefined;
                    if (locationOverride) {
                        return React.createElement(Route, { location: locationOverride }, this.props.children);
                    }
                    return React.Children.only(this.props.children);
                } })));
    }
}
WatchtowerBrowserRouter.displayName = 'WatchtowerBrowserRouter';
//# sourceMappingURL=watchtower-browser-router.js.map