/**
 * PromiseCompletionSource allows the resolution/rejection of a promise to be
 * controled outside of the promise ctor callback
 *
 * Example:
 * const pcs = new PromiseCompletionSource<any>()
 *
 * const promise = pcs.promise
 * pcs.resolve('data')
 */
export declare class PromiseCompletionSource<T = {}> {
    private autoReset;
    completed: boolean;
    private _promise;
    constructor(autoReset?: boolean);
    resolve: (result: T) => Promise<void>;
    reject: (error: Error) => Promise<void>;
    get promise(): Promise<T>;
    reset: () => Promise<T>;
    private ensureNotComplete;
}
