export const prettyJson = (obj) => JSON.stringify(obj, undefined, 2);
// tslint:disable:no-console
const log = (method, args) => {
    if (args.length === 0) {
        return;
    }
    if (typeof args[0] === 'string') {
        // eslint-disable-next-line no-console
        return console[method](args[0]);
    }
    // eslint-disable-next-line no-console
    console[method](prettyJson(args[1]), args[0]);
};
/** Logger interface compatible console logger, does't log level info in message */
export const cliLogger = {
    child: () => cliLogger,
    debug: (...args) => log('debug', args),
    error: (...args) => log('error', args),
    fatal: (...args) => log('error', args),
    info: (...args) => log('log', args),
    trace: (...args) => log('trace', args),
    warn: (...args) => log('warn', args),
};
//# sourceMappingURL=log.js.map