import { __assign, __awaiter, __generator, __spreadArrays } from "tslib";
import { default as watchServer } from '../watch/server';
import build from './build';
import clean from './clean';
import start from './start';
/**
 * Rebuilds the client on changes
 * @param args
 * - server: Also watches and rebuilds server
 * - client: Only run client without a server
 */
var watch = function (log, buildConfig, watchProcessEnv) {
    var args = [];
    for (var _i = 3; _i < arguments.length; _i++) {
        args[_i - 3] = arguments[_i];
    }
    return __awaiter(void 0, void 0, void 0, function () {
        var HAS_SERVER, additionalStartParams, env, isServerWatch, clientMode;
        return __generator(this, function (_a) {
            switch (_a.label) {
                case 0:
                    HAS_SERVER = buildConfig.HAS_SERVER;
                    additionalStartParams = [];
                    env = __assign({}, watchProcessEnv);
                    return [4 /*yield*/, clean(log, buildConfig)];
                case 1:
                    _a.sent();
                    isServerWatch = HAS_SERVER && args.indexOf('server') !== -1;
                    if (isServerWatch) {
                        return [2 /*return*/, watchServer(log, buildConfig)];
                    }
                    clientMode = !HAS_SERVER || args.indexOf('client') !== -1;
                    if (!clientMode) return [3 /*break*/, 2];
                    return [2 /*return*/, start.apply(void 0, __spreadArrays([log, buildConfig, env, 'watch', 'client'], additionalStartParams))];
                case 2: return [4 /*yield*/, build(log, buildConfig, 'server', 'dev')];
                case 3:
                    _a.sent();
                    return [2 /*return*/, start.apply(void 0, __spreadArrays([log, buildConfig, env, 'watch'], additionalStartParams))];
            }
        });
    });
};
export default watch;
//# sourceMappingURL=watch.js.map