import React from 'react';
import { Helmet } from 'react-helmet';
import { StaticRouter } from 'react-router-dom';
import { functionTimer } from '../../universal';
export function renderApp(currentLocation, renderFn, log, appRender, promiseTracker) {
    // first create a context for <StaticRouter>, it's where we keep the
    // results of rendering for the second pass if necessary
    var context = {};
    var renderResult;
    var head;
    try {
        renderResult = functionTimer('Server side render', function () {
            return renderFn(React.createElement(StaticRouter, { location: currentLocation, context: context }, appRender(promiseTracker)));
        }, log);
    }
    finally {
        head = Helmet.rewind();
    }
    return {
        context: context,
        head: head,
        renderResult: renderResult,
    };
}
//# sourceMappingURL=render-app-to-string.js.map