import { formatElapsed } from '../../universal';
import { ServerRenderResultType } from './server-render-results';
export var createResponse = function (_a) {
    var renderResult = _a.renderResult, ssrRequestProps = _a.ssrRequestProps, startTime = _a.startTime, statusCode = _a.statusCode, renderLocation = _a.renderLocation;
    return {
        elapsed: formatElapsed(process.hrtime(startTime)),
        head: renderResult.head,
        renderLocation: renderLocation,
        renderedContent: renderResult.renderResult,
        ssrRequestProps: ssrRequestProps,
        statusCode: statusCode,
        type: ServerRenderResultType.Success,
    };
};
export var routerContextHandler = function (renderResult, startTime, ssrRequestProps, renderLocation) {
    if (renderResult.context.url) {
        return {
            elapsed: formatElapsed(process.hrtime(startTime)),
            head: renderResult.head,
            isPermanent: renderResult.context.statusCode === 301,
            redirectTo: renderResult.context.url,
            type: ServerRenderResultType.Redirect,
        };
    }
    var statusCode = renderResult.context.statusCode ? renderResult.context.statusCode : 200;
    return createResponse({
        renderLocation: renderLocation,
        renderResult: renderResult,
        ssrRequestProps: ssrRequestProps,
        startTime: startTime,
        statusCode: statusCode,
    });
};
//# sourceMappingURL=router-context-handler.js.map