import webpack from 'webpack';
export var webpackStatsConfig = {
    children: false,
    chunkModules: false,
    chunks: false,
    colors: true,
    errors: true,
    timings: true,
    warnings: true,
    /* filter export warnings when transpileOnly:true -> https://github.com/TypeStrong/ts-loader/issues/751 */
    warningsFilter: /export .* was not found in/,
};
export var printWebpackStats = function (log, stats) {
    var statsString = stats.toString(webpackStatsConfig);
    log.info(statsString);
};
export var webpackPromise = function (log, config) {
    return new Promise(function (resolve, reject) {
        webpack(config).run(function (err, stats) {
            if (err) {
                log.error({ err: err }, 'Failed to compile');
                reject(err);
            }
            else {
                printWebpackStats(log, stats);
                if (stats.hasErrors()) {
                    reject();
                }
                else {
                    resolve();
                }
            }
        });
    });
};
//# sourceMappingURL=webpack.js.map